% La fonction "MC_pref" évalue par la méthode de Monte-Carlo la probabilité
% que le processus stable reste inférieur à Y1 jusqu'au temps T1, en
% utilisant la méthode d'échantillonnage préférentiel. L'interface est la
% même que pour "MC_simple".
function MC_pref (N)
init_param;
global Y1
tot_f = 0;
tot_f2 = 0;
for i = 1: N
    % On simule maintenant le processus tildé, et on renvoie aussi la
    % densité relative du processus non tildé pour la simulation réalisée.
    [M, densite] = max_proc_stable_tilde;
    % Il faut multiplier par la densité pour avoir la quantité d'intérêt
    % dont on estimera l'espérance.
    f = (M < Y1) * densite;
    tot_f = tot_f + f;
    tot_f2 = tot_f2 + f ^ 2;
end
moy = tot_f / N;
var = tot_f2 / N - moy * moy;
var_estr = var / N;
fprintf ('La probabilité est estimée à %e ± %e.\n', ...
    moy, 1.96 * sqrt (var_estr));
return
end

