% La fonction "MC_simple" évalue par la méthode de Monte-Carlo la
% probabilité que le processus stable reste inférieur à Y1 jusqu'au temps
% T1, et affiche cette probabilité. L'argument "N" est le nombre de
% simulations demandées.
function MC_simple (N)
init_param;
global Y1
succes = 0;
for i = 1: N
    succes = succes + (max_proc_stable < Y1);
end
p = succes / N;
var = p * (1 - p);
var_estr = var / N;
fprintf ('La probabilité est estimée à %e ± %e.\n', ...
    p, 1.96 * sqrt (var_estr));
return
end
