function proc_stable (T)
init_param;
global ALPHA
% "NBPAS" est le nombre de pas de temps pour la simulation, et "PAS" la
% taille du pas. Ce sont aussi des macro, mais celles-ci n'ont pas de
% raison d'être globale, car ce ne sont pas des paramètres du modèle...
NBPAS = 1024;
PAS = T / NBPAS;
% On crée le vecteur des temps.
temps = (0: NBPAS) * T / NBPAS;
% On alloue la mémoire pour les valeurs de notre processus. Notez que, en
% comptant la valeur initiale, il y a en tout (NBPAS+1) valeurs à prévoir.
valeurs = zeros (1, NBPAS + 1);
% "y" est la valeur courante du processus, initialement 0.
y = 0;
% On entre la valeur initiale du processus dans "valeurs".
valeurs(1) = y;
% On lance la boucle de simulation, pas une boucle "for" dont chaque
% passage correspond à un pas. "i" est le numéro du pas qu'on considère.
for i = 1: NBPAS
    % "t" est le temps courant du processus, compté à partir du début du
    % pas de temps courant.
    t = 0;
    % Je dois simuler le processus jusqu'à atteindre le temps PAS.
    while (true)
        % Je regarde à quel instant j'aurais le prochain saut.
        t_attente = attente;
        t = t + t_attente;
        if t > PAS
            % Si le prochain saut n'a lieu qu'après la fin du pas, cela me
            % dit juste que je ne sauterai plus jusqu'au temps qui
            % m'intéresse ; je peux alors sortir de la boucle, en
            % mémorisant au préalable la valeur du processus à la fin du
            % pas (attention au déclage d'indices : la fin du i-ième pas de
            % temps correspond à la case i+1 de "temps" ou de "valeurs" !).
            valeurs(i + 1) = y;
            break
        else
            % Sinon, je mets à jour la valeur du processus, et je
            % recommence la boucle « while » dans pour connaitre le
            % prochain saut.
            y = y + mu;
        end
    end
end
% Plus qu'à tracer le résultat ! Notez que j'ai choisi ici d'utiliser
% l'option « '.' », qui me permet de ne pas relier les points entre eux,
% afin de mieux visualiser l'aspect saltatoire du processus.
plot (temps, valeurs, '.');
% La fonction "num2str" permet d'afficher la valeur numérique d'une
% variable au sein d'une chaine de texte/
title (['Processus stable d''exposant ', (num2str (ALPHA))]);
return
end
